Bug 475677 - [LTC 5.4 FEAT] Firstboot for System z [201092]
[LTC 5.4 FEAT] Firstboot for System z [201092]
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firstboot (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Chris Lumens
Release Test Team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 483784
  Show dependency treegraph
 
Reported: 2008-12-09 18:50 EST by IBM Bug Proxy
Modified: 2009-09-29 10:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 10:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50304 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 18:50:32 EST
=Comment: #3=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:     [201092]
a. Name of Feature:     Firstboot for System z
b. Feature Description
Currently customers installing RHEL in System z, after booting the fresh
installed system for the first time, are not automatically guided through a
friendly wizard (firstboot) the same way it is done with RHEL in other
architectures to finish up the installation properly, and as a result, customer
installing new system are not automatically prompted to do very important tasks
like firewall, SELinux and RHN setup, and other less critical like managing
users or any other you could think of from RHEL in Intel which could also apply
to System z customers.

We would like Red Hat to document this automatically-triggered
post-installation step and avoid the risk that a customer forgets to manually
run any of the important setup tools manually by:
(1) Bringing up this post-installation wizard automatically during the first
boot/login, with no restrictions, other than it should not appear in a
Line-Mode console/terminal, since the current wizard uses menus, unless you
would like to implement the wizard without menus.
(2) In the wizard the user must at least be prompted to setup all the critical
tasks, for example, firewall, SELinux and RHN, and any other you could think of
which are presented in RHEL in Intel and should also apply for System z
customers.
(3) Optionally, the user should be prompted to configure any other non critical
tasks, for example managing users or any other you could think of which are
presented in RHEL 5.x in Intel and should also apply for System z customers.

For work previously done on this request, please see related bugzillas are BZ36226 - RIT126279 and
RH BZ 217921.

2. Feature Details:
Sponsor:        zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Installer: Yes
Delivery Mechanism: Request Red Hat development assistance
Category:       Installation
Request Type:   Installer - Enhancement from Distributor
d. Upstream Acceptance: No Code Required
Sponsor Priority        1
f. Severity: High
IBM Confidential:       no
Code Contribution:      no
g. Component Version Target:    n/a

3. Business Case
Improve ease of use for RHEL.
 Do not repel customer evaluating RHEL.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-18 04:40:30 EDT
*** Bug 36226 has been marked as a duplicate of this bug. ***
Comment 2 RHEL Product and Program Management 2009-03-26 13:27:40 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 IBM Bug Proxy 2009-03-30 06:11:13 EDT
------- Comment From gmuelas@de.ibm.com 2009-03-30 06:02 EDT-------
Hello Red Hat Product Management,
what is the concrete reason to reject this feature for RHEL 5.4?
what would be Red Hat's impact of accepting this feature for RHEL 5.4?

Thank you!
Gonzalo Muelas Serrano.
Comment 4 IBM Bug Proxy 2009-04-21 23:21:07 EDT
------- Comment From tpnoonan@us.ibm.com 2009-04-21 23:15 EDT-------
Hi John, Would you please take a second look at the following three rejected System z features for RHEL5.4
based on the justifications provided. It looks like these are being rejected due to Red Hat resources???.
All three look to improve the IBM/Red Hat System z customer experience.
The justifications are also documented in the feature bugzillas.

Many thanks.

1.) First boot on System z
Red Hat Bugzilla 475677  LTC 50304 ??-?? [LTC 5.4 FEAT] Firstboot for System z [201092]

Status and related bugzillas:
Has been reported with LTC 36226 ??-?? RIT126279- firstboot needed on IBM System z distribution
On Red Hat advice, a feature request was opened for RHEL 5.2 with LTC 37758 ??-?? RHBZ 217921: 201092: Firstboot for System z
Finally implemented and tested on RHEL 5.3 alpha.
First boot is still disabled, not visible to the customer because it is not automatically initialized.

Red Hat reason for reject:
This component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.

Business justification:
This feature is needed to have in System z a post-install configuration the same way the customers are used to in other platforms and/or operating systems:
- After a new installation, during the first boot of the system, RHEL on System z should automatically ask/help the customer to configure security tasks like:
Red Hat Network for security update
Firewall
SELinux
Without this feature, the customer has to do everything manually, having a big security risk if the customer misses this step, and that is why in the other platforms and/or operating system this task is prompt automatically after the first boot on a newly installed system.
Comment 5 IBM Bug Proxy 2009-04-27 13:11:50 EDT
------- Comment From mgrf@de.ibm.com 2009-04-27 13:04 EDT-------
Hello Red Hat, Hi John,
What is the status regarding RHEL 5.4 acceptance for this feature?
Comment 6 John Jarvis 2009-04-27 14:34:10 EDT
This feature is denied for RHEL 5.4 due to a lack of resources.
Comment 7 IBM Bug Proxy 2009-04-28 08:10:33 EDT
------- Comment From gmuelas@de.ibm.com 2009-04-28 08:03 EDT-------
Hello Red Hat,

- if IBM takes over the QA (Test) responsibility for this feature, would you still have not resources to implement it?

- IBM believes that this it is a very interesting feature for the RHEL 5 System z customers, but since to implement this feature, RHEL would need changes in firstboot and we already in the 4th minor update, is Red Hat interested in this feature at all for future minor updates in RHEL 5, assuming you have the resources for future RHEL 5 minor updates?

Thank you!
Gonzalo Muelas Serrano.
Comment 8 IBM Bug Proxy 2009-08-03 05:56:44 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 05:41 EDT-------
Red Hat is rejecting this feature since RHEL 5.2.

IBM not pursue this anymore for RHEL 5.5.

Closing feature request for RHEL 5 stream
Comment 9 Andrius Benokraitis 2009-09-29 10:12:44 EDT
Closing per last comment.

Note You need to log in before you can comment on or make changes to this bug.